Subject: Re: [bug#67507] [PATCH v2 0/2] Using the right locales on GNU/Hurd

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 02 Dec 2023 15:38:31 +0100

Ludovic Courtès writes:

Hi,

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> I also tested on hurd-team using the `make as-derivation' trick with
>> #:system "i586-gnu" in compile-as-derivation.scm, which now fails with
[..]
>> ERROR: In procedure setlocale:
>> ERROR: In procedure setlocale: Invalid argument
>> builder for `/gnu/store/qy6l0gjjpc40frz57fv08shpwj4pssfd-bash-minimal-5.1.16.drv' failed with exit code 1
>
> It builds for me now on ‘master’:
>
> $ ./pre-inst-env guix build bash-minimal -s i586-gnu  --no-grafts
> /gnu/store/0iw3v18ar8vy1yknnf84lv0jzmq6gjhm-bash-minimal-5.1.16-doc
> /gnu/store/1gsf6zrl3fmbrip98nsqpkjykfhahmvd-bash-minimal-5.1.16
> $ git log |head -1
> commit aeb494322ca9dec4a4d66a7d063239c8536bd538
>
> \o/

Yeah, for me too; it's the grafting that seems to be implicit in `make
as-derivation'...so maybe that's not a great way to test this?

> Christopher Baines <[email-masked]> skribis:
>
>> These changes look good to me.
>>
>> For the data service instances, it would be good to fix the infinite
>> loop issue sooner rather than later. For affected revisions, I think the
>> data service is effectively waiting until the relevant processes run out
>> of memory and crash, and this is slowing down processing revisions.
>
> Yeah.
>
> Pushed as b0715d7cd2a74bc231751f8afc9dffb2047501ac.
>
> Let’s do some more testing from here and see how it goes.

Great, thanks all!  For `guix shell -D guix' to work with this (i.e.,
not hang resolving the circular dependency), I updated the guix package
once again.

Does hurd-packages need to be enabled again at https://ci.guix.gnu.org/?

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com